## org.eclipse.datatools.sqltools.routineeditor.ui
Class RoutineEditorDocumentProviderFactory

    java.lang.Object
      org.eclipse.datatools.sqltools.routineeditor.ui.RoutineEditorDocumentProviderFactory

    public class RoutineEditorDocumentProviderFactory

extends java.lang.Object

This class allows the document debuggerDocumentProvider to be extended by sql debugger framework

Author:
  Hui Cao

Constructor Summary
`RoutineEditorDocumentProviderFactory()`

Method Summary
`static IRoutineEditorDocumentProvider` `getDocumentProvider(org.eclipse.ui.IEditorInput input)` Returns a document debuggerDocumentProvider that can be used by RoutineEditor

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoutineEditorDocumentProviderFactory

    public RoutineEditorDocumentProviderFactory()

Method Detail

### getDocumentProvider

    public static IRoutineEditorDocumentProvider getDocumentProvider(org.eclipse.ui.IEditorInput input)

  Returns a document debuggerDocumentProvider that can be used by RoutineEditor

  Parameters:
    `input` - the editor input used to determine whether debugging is supported
  Returns:
    SQLStorageDocumentProvider or the debugger plugin contributed document debuggerDocumentProvider